LibreOffice: XTreeNode Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTreeNode Interface Reference

An instance implementing this interface represents the model data for an entry in a XTreeDataModel. More...

`import <XTreeNode.idl;`

Inheritance diagram for XTreeNode:

## Public Member Functions
XTreeNode | getChildAt ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns the child tree node at Index.
long | getChildCount ()
| Returns the number of child nodes.
XTreeNode | getParent ()
| Returns the parent node of this node.
long | getIndex ([in] XTreeNode Node)
| Returns the index of Node in this instances children.
boolean | hasChildrenOnDemand ()
| Returns `TRUE` if the children of this node are created on demand.
any | getDisplayValue ()
| If not empty, the textual representation of this any is used as the text part of this node.
string | getNodeGraphicURL ()
| The URL for a graphic that is rendered before the text part of this node.
string | getExpandedGraphicURL ()
| The URL for a graphic that is rendered to visualize expanded non leaf nodes.
string | getCollapsedGraphicURL ()
| The URL for a graphic that is rendered to visualize collapsed non leaf nodes.

## Detailed Description

An instance implementing this interface represents the model data for an entry in a XTreeDataModel.

The TreeControl uses this interface to retrieve the model information needed to display a hierarchical outline

Each XTreeNode in a XTreeDataModel must be unique.

## Member Function Documentation

## ◆ getChildAt()

XTreeNode getChildAt | ( | [in] long | Index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the child tree node at Index.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if Index is less than 0 or equal or greater than getChildCount().

## ◆ getChildCount()

long getChildCount | ( |  | ) |

Returns the number of child nodes.

## ◆ getCollapsedGraphicURL()

string getCollapsedGraphicURL | ( |  | ) |

The URL for a graphic that is rendered to visualize collapsed non leaf nodes.

If URL is empty, XTreeControl::DefaultCollapsedGraphicURL is used.

## ◆ getDisplayValue()

any getDisplayValue | ( |  | ) |

If not empty, the textual representation of this any is used as the text part of this node.

## ◆ getExpandedGraphicURL()

string getExpandedGraphicURL | ( |  | ) |

The URL for a graphic that is rendered to visualize expanded non leaf nodes.

If URL is empty, XTreeControl::DefaultExpandedGraphicURL is used.

## ◆ getIndex()

long getIndex | ( | [in] XTreeNode | Node | ) |

Returns the index of Node in this instances children.

Returns
  The child index of Node, or -1 if Node is no child of this instance.

## ◆ getNodeGraphicURL()

string getNodeGraphicURL | ( |  | ) |

The URL for a graphic that is rendered before the text part of this node.

If this URL is empty, no graphic is rendered.

## ◆ getParent()

XTreeNode getParent | ( |  | ) |

Returns the parent node of this node.

## ◆ hasChildrenOnDemand()

boolean hasChildrenOnDemand | ( |  | ) |

Returns `TRUE` if the children of this node are created on demand.

A TreeControl will handle a node that returns `TRUE` always like a node that has child nodes, even if getChildCount() returns 0.

See also
  TreeExpansionListener;

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XTreeNode.idl